<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="h-full flex flex-col w-48 bg-secondary-950">
  <div class="grow overflow-y-auto  overflow-x-hidden">
    <div class="h-3 w-full"></div>
    <ng-container *ngFor="let item of items">
      <ng-container *ngIf="isItem(item); let item; else: divider">
        <app-nav-button
          *ngIf="!item.children"
          [path]="item.path"
          [name]="item.name"
          [icon]="item.icon"
          [marginTop]="item.marginTop"
          [indicate]="item.indicate ?? false"
        ></app-nav-button>
        <app-nav-section *ngIf="item.children" [name]="item.name" [path]="item.path" [icon]="item.icon">
          <app-nav-button
            *ngFor="let child of item.children"
            [path]="item.path + child.path"
            [name]="child.name"
            [icon]="child.icon"
            paddingLeft="16px"
            [marginTop]="child.marginTop"
            [indicate]="item.indicate ?? false"
          ></app-nav-button>
        </app-nav-section>
      </ng-container>
      <ng-template #divider>
        <ng-container *ngIf="isDivider(item); let divider">
          <div class="bg-white px-4 bg-opacity-20 py-1 mt-10 opacity-80">
            <div class="text-xs text-white font-semibold">{{ divider.label }}</div>
          </div>
        </ng-container>
      </ng-template>
    </ng-container>
  </div>
</div>
